﻿using System;
using System.Linq;
using System.IO;
using System.IO.IsolatedStorage;
using System.Collections.Generic;
using Microsoft.LightSwitch;
using Microsoft.LightSwitch.Framework.Client;
using Microsoft.LightSwitch.Presentation;
using Microsoft.LightSwitch.Presentation.Extensions;
using System.Windows.Markup;
using System.Windows;
namespace LightSwitchApplication
{
    public partial class FlexibleEmployeesGrid
    {
        const string verticalColumnXaml =
       @"<DataTemplate xmlns=""http://schemas.microsoft.com/winfx/2006/xaml/presentation""
    xmlns:x=""http://schemas.microsoft.com/winfx/2006/xaml"">           
             <TextBlock Text=""{Binding City}"" FontFamily=""Segoe UI, Arial"" FontSize=""16""
               FontWeight=""SemiBold"" Foreground=""RED"" HorizontalAlignment=""Left""/>           
           </DataTemplate>";

        partial void FlexibleEmployeesGrid_Created()
        {
            // Write your code here.
            this.FindControl("C1FlexGrid").ControlAvailable += (s, e) =>
            {
                C1.Silverlight.FlexGrid.C1FlexGrid flex = e.Control as C1.Silverlight.FlexGrid.C1FlexGrid;
                DataTemplate dataTemplate = XamlReader.Load(verticalColumnXaml)
                                                     as DataTemplate;

                foreach (C1.Silverlight.FlexGrid.Column cl in flex.Columns)
                {
                    if (cl.Header == "City")
                        cl.CellTemplate = dataTemplate;
                }
            };
        }
    }
}
